Bug 1256581 - Menu and icon text appear white on grey instead of white on black
Menu and icon text appear white on grey instead of white on black
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
22
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-25 00:01 EDT by Javier Perez
Modified: 2016-07-19 15:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 15:56:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Sample of the bug in action (24.50 KB, image/png)
2015-08-25 00:01 EDT, Javier Perez
no flags Details

  None (edit)
Description Javier Perez 2015-08-25 00:01:14 EDT
Created attachment 1066715 [details]
Sample of the bug in action

Description of problem:
The Menu and Icon text appear as white on grey when one hovers the mouse over them instead of white over black. It makes it difficult to read the text.

Version-Release number of selected component (if applicable):
geany-1.25-2.fc22.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Install Geany
2.Hover the mouse over an icon or tab text.

Actual results:
The text on the small legend that appears shows up in white over a grey background 

Expected results:
The text on the small legend that appears should show up in white over a black background


Additional info:
GIMP 2.8.14-3.fc22.x86_64 seems to have the same problem, I just noticed when preparing the attachment.
Comment 1 Dominic Hopf 2015-08-26 12:26:29 EDT
Please try switching to another GTK theme and see if the issue is still present then.
Comment 2 Javier Perez 2015-08-28 01:03:26 EDT
Hi
I made a change but I am not sure if I made it right.
Anyway, the problem remains.

My desktop is using the KDE spin of Fedora
I went to System Settings.>Look and Feel and changed from Fedora Twenty Two to Breeze. Did not see any change. I am not sure if Breeze is a GTK theme.
Could you point me towards a known GTK theme? 
I searched for one with Google but the ones I found out seemed incomplete somehow.

Should I really be searching for GTK themes taking into consideration that this is a KDE installation? I think KDE uses QT,not GTK but I may be mistaken, I am not that much familiar with the internals.

JP
Comment 3 Dominic Hopf 2015-08-28 09:37:57 EDT
As far as I know the Fedora standard theme should be named "Adwaita".
Comment 4 Javier Perez 2015-08-28 10:57:52 EDT
At the time, I did a clean install of the Fedora 22 KDE Spin (Plasma 5) and all I see on System Settings->Look and Feel is "Fedora Twenty Two" and "Breeze"

I am not sure if they are GTK themes
Comment 5 Dominic Hopf 2015-08-29 11:30:11 EDT
I'm sorry I can not help you with KDE, but since this doesn't affect Geany only this most likely a GTK2 issue (Geany in F22 is using GTK2). Changing component to GTK2.
Comment 6 Fedora End Of Life 2016-07-19 15:56:02 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.